Subject: Re: Re : Re: Re : Re: [EDUC]Proposition de loi visant à rendre obligatoire l’enseignement du codage informatique à l’école
From: Véronique Bonnet <[email-masked]>
To: Marie-Odile Morandi <[email-masked]>, Christophe Demko <[email-masked]>, [email-masked]
Date: Thu, 19 Jun 2014 10:14:53 +0200
List-Id: <educ.april.org>

Marie-Odile +1

Librement.
Véronique.
Adhérente de l'April tenant beaucoup à cette liste.

Le 19/06/2014 09:58, Marie-Odile Morandi a écrit :
> *STOP*
>
> Amicalement
>
> Marie-Odile Morandi
> Adhérente April
> http://www.april.org/
>
> Le 19/06/2014 09:53, Christophe Demko a écrit :
>> Le 18/06/2014 16:19, [email-masked] a écrit :
>>> ----- Christophe Demko <[email-masked]> a écrit :
>>>
>>>> Merci de ne pas me tutoyer, je ne pense pas vous connaître assez.
>>> Christophe,
>>>
>>> Il est d'usage sur cette liste de se tutoyer, comme c'est d'ailleurs
>>> l'usage dans les communautés de pairs à pairs :
>>>
>>> "utilisé par les pairs (notamment dans le travail et les activités
politiques et
>>> syndicales)
>>> http://fr.wikipedia.org/wiki/Tutoiement_et_vouvoiement
>>>
>>> Mais si tu tiens au vouvoiement dans un formalisme de rigueur petit
bourgeois,
>>> étant bien plus âgé que toi, je t'autorise à me vouvoyer.
>> La grandeur de votre égo manifestée par le ton très ampoulé de vos
>> propos publiés sur cette liste ne vous autorise pas à m'insulter de
>> petit bourgeois. J'ai bien remarqué que l'essentiel de vos propos visait
>> surtout à vous donner de l'importance que vous n'avez pas su,
>> certainement avoir, dans votre vie professionnelle.
>>>
>>>> Visiblement, vous n'êtes pas un "codeur". J'exprimais simplement ce à
>>>> quoi correspond l'activité intellectuelle de codage.
>>> Encore une fois le terme "codage" que tu emploies a une puissance
d'évocation
>>> qui va au delà de la puissance de signifié. Pourquoi ne pas utiliser
>>> tout simplement l'expression "programmer" ?
>> Parce que le projet de loi utilise ce terme.
>>> Derrière le projet de loi des députés UMP, en embuscade, Apple avec son
>>> jeu Hopscotch (qui doit apprendre aux enfants à programmer) sur Ibad,
>>> Lightbot pour smartphones pour tablettes et smartphones (Androïd et
iOS),
>>> le projet YouthSpark de Microsoft, etc.-a-la-programmation
>> J'ai mes idées politiques et je ne les défends pas ici, mais je
>> m'exprime sur les sujets qui y sont débattus.
>>> Une fois l'enfumage passé sur le l'apprentissage du code, le numérisme,
>>> on commencera à se rendre compte que l'apprentissage authentique de
>>> la lecture et de l'écriture de programmes posera des débats similaires
>>> à ceux des méthodes de lecture et d'écriture, notamment les ravages
>>> de lecture globale.
>> Encore une fois, vous ne restez pas sur les raisons d'être de l'APRIL,
>> mais vous amenez le débat sur un sujet qui n'a rien à voir avec le libre.
>>>
>>>> Oui, effectivement. Mais j'ai choisi ce jeu pour illustrer que
>>>> l'apprentissage de la programmation, du "codage" peut s'enseigner dès 8
>>>> ans. Car l'utilisation dans ce jeu des circuits de redstone est de la
>>>> programmation, donc du codage.
>>> Je ne doute pas un seul instant que l'apprentissage de la programmation
>>> peut s'enseigner dès le primaire. Mais il importe également de penser
>>> l'informatique en terme de curriculum, pas seulement de marketing
>>> dans le seul but de vendre des tablettes.
>> Ce n'est pas dans le projet de loi.
>>>> Sans forcer un outil particulier. Mais il faudra bien un stylo pour
>>>> écrire et donc un langage/logiciel pour programmer. Il existe plusieurs
>>>> outils adaptés aux enfants
>>>>
(http://en.wikipedia.org/wiki/Educational_programming_language#Children)
>>> La page parle de langages, pourquoi utiliser le mot "outils" ?
>> Parce que par exemple, scratch (http://scratch.mit.edu) n'est pas un
>> langage mais un outil pour programmer.
>>> Librement,
>>> Charlie
>> C'est mon dernier message sur cette liste.
>> Je me désabonne.
>>
>> Bon courage aux courageux qui restent.
>
>

--
Pour gérer votre abonnement à la liste educ et vos informations personnelles :
http://listes.april.org/wws/info/educ